#ifndef ELLIPTPROJECT_H
#define ELLIPTPROJECT_H

#include "Project.h"
#include "ProblemScal.h"

class Elliptdemo : public Project {
  ProblemScal ellipt;
  AdaptInfo* adaptInfo;
  AdaptStationary* adapt;
  Operator* matrixOperator;
  Operator* rhsOperator;

  public:
  Elliptdemo();
  ~Elliptdemo();

  void create(std::string& filename);
  int solve(SolutionInformation& info);
};
#endif
